/* -------------
    SOMMAIRE
------------- */

/*
    @AUTHOR : Nicolas BOUDOT

    MOLÉCULE : NAV-MOBILE
    Styles des éléments de navigation mobile
*/



.molecule_widgets-mobile-bottom {
    position: fixed;
    bottom: 0;
    left: 0;
    background-color: var(--gray-300);
    box-shadow: 0 0 1px var(--gray-700);
    padding: 25px 30px;
    width: 100vw;
    z-index: 3;
}

    @media (min-width: 992px) {
        .molecule_widgets-mobile-bottom {
            display: none;
        }
    }

    /* Si connecté au BO */
    body.admin-bar .molecule_widgets-mobile-bottom {
        /* top: 46px; */
    }

        @media (min-width: 992px) {
            body.admin-bar .molecule_widgets-mobile-bottom {
                /* top: 32px; */
            }
        }

.molecule_nav-mobile {
    position: absolute;
    bottom: 100%;
    left: 0;
    background-color: var(--gray-300);
    width: 100vw;
    /* 100% - Barre admin - Widgets Mobile */
    height: calc(100vh - 54px);
    transition: opacity .4s, transform .4s;
}

    /* Not active */
    .molecule_nav-mobile:not(.active) {
        pointer-events: none;
        opacity: 0;
        transform: translateY(-10%);
    }

    /* Connecté au BO */
    body.admin-bar .molecule_nav-mobile {
        /* 100% - Barre admin - Widgets Mobile */
        height: calc(100vh - 46px - 54px);
    }


/* Géneral */
.molecule_nav-mobile nav ul > li > a {
    display: block;
    color: var(--gray-700);
    font-weight: 700;
    padding: 30px;
}

/* Niveau 1 */
.molecule_nav-mobile nav ul.first-level > li > a {
    text-transform: uppercase;
}

/* Barre des widgets (dont le btn-burger) */
.molecule_nav-mobile__widgets-bar {
    padding: 25px 30px;
    background-color: var(--gray-300);
}

/* Niveau 2 */
.molecule_nav-mobile nav ul.second-level {
    background-color: var(--gray-500);
    transition: transform .5s, opacity .5s;
}

    @media (max-width: 991px) {
        /* Not hover */
        .molecule_nav-mobile nav ul.first-level li:not(.sfhover) ul {
            pointer-events: none;
            padding: 0;
            height: 0;
            opacity: 0;
            transform: translateY(-10px);
        }
    }

.molecule_nav-mobile nav ul.second-level > li > a {
    padding: 15px 30px;
}
